Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 661742 - net-p2p/retroshare-0.6.4 : gui/.../ChatTabWidget.cpp:165:23: error: invalid use of incomplete type class QTabBar
Summary: net-p2p/retroshare-0.6.4 : gui/.../ChatTabWidget.cpp:165:23: error: invalid u...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gioacchino Mazzurco
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: qt-5.11 664564
  Show dependency tree
 
Reported: 2018-07-21 14:40 UTC by Toralf Förster
Modified: 2018-08-27 10:06 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.89 KB, text/plain)
2018-07-21 14:40 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,188.95 KB, text/plain)
2018-07-21 14:40 UTC, Toralf Förster
Details
environment (environment,104.30 KB, text/plain)
2018-07-21 14:40 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.90 KB, application/x-bzip)
2018-07-21 14:40 UTC, Toralf Förster
Details
net-p2p:retroshare-0.6.4:20180721-141736.log (net-p2p:retroshare-0.6.4:20180721-141736.log,347.55 KB, text/plain)
2018-07-21 14:40 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,37.20 KB, application/x-bzip)
2018-07-21 14:40 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-07-21 14:40:40 UTC
gui/chat/ChatTabWidget.cpp: In member function ‘void ChatTabWidget::setBlinking(int, bool)’:
gui/chat/ChatTabWidget.cpp:165:23: error: invalid use of incomplete type ‘class QTabBar’
  QIcon icon = tabBar()->tabData(tab).value<QIcon>();

                       ^~

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-gnome_20180716-192236

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv net-p2p/retroshare
[ebuild  N    ] net-p2p/retroshare-0.6.4  USE="cli gnome-keyring gui -feedreader -voip"
Comment 1 Toralf Förster gentoo-dev 2018-07-21 14:40:42 UTC
Created attachment 540358 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-07-21 14:40:45 UTC
Created attachment 540360 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-07-21 14:40:48 UTC
Created attachment 540362 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-07-21 14:40:51 UTC
Created attachment 540364 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-07-21 14:40:54 UTC
Created attachment 540366 [details]
net-p2p:retroshare-0.6.4:20180721-141736.log
Comment 6 Toralf Förster gentoo-dev 2018-07-21 14:40:57 UTC
Created attachment 540368 [details]
temp.tbz2
Comment 7 Gioacchino Mazzurco 2018-07-23 09:30:53 UTC
I don't have Qt 5.11 installed to reproduce it, would you be so kind to test if adding #include <QTabBar> on top of ChatTabWidget.cpp fix the bug? In that case I could produce easly a patching ebuild so we can keep compiling last stable retroshare version while upstream release a new one with this bug fixed
Comment 9 Larry the Git Cow gentoo-dev 2018-08-21 08:27:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de000ce6015b9d016f28d68b39790c0580a90e1a

commit de000ce6015b9d016f28d68b39790c0580a90e1a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-08-21 08:23:16 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-21 08:27:16 +0000

    net-p2p/retroshare: Fix build with Qt 5.11
    
    Closes: https://bugs.gentoo.org/661742
    Package-Manager: Portage-2.3.47, Repoman-2.3.10

 .../files/retroshare-0.6.4-qt-5.11.patch           | 63 ++++++++++++++++++++++
 net-p2p/retroshare/retroshare-0.6.4.ebuild         |  6 ++-
 2 files changed, 67 insertions(+), 2 deletions(-)